

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.grids.io.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.grids.io"></span><p>Provides the functions that handle input/output of Job data.</p>
<p class="rubric">Example</p>
<p>print(“Example using new script (Simone’s runs)”)
path = “/home/konstantinos/pCloudDrive/”</p>
<blockquote>
<div><p>“Shared/POSYDON/BinaryGrids/example_posydon_grid”</p>
</div></blockquote>
<p>grid_reader = GridReader(path, verbose=True)</p>
<p>print(“READING THE PROFILE OF STAR1 IN THE SECOND BINARY OF THE GRID.”)
profile = np.genfromtxt(grid_reader.runs[1].final_profile1_path,</p>
<blockquote>
<div><p>skip_header=5, names=True)</p>
</div></blockquote>
<p>print(“Columns:”)
print(profile.dtype.names)
print(“Array:”)
print(profile)</p>
<p class="rubric">Notes</p>
<p>The input path can be a list of paths or a string. The paths can be given with
wildcard characters to incorporate multiple folders. E.g.,</p>
<p>path = [“/home/mygrid_part1”, “/home/mygrid_part2”]</p>
<p>or</p>
<p>path = [“home/mygrid_part*”]</p>
<p>Runs with the same initial parameters (folder name without the <cite>_grid_index_*</cite>
part) are substituted. See <cite>psygrid</cite> module docstring for more information.</p>
<dl class="py class">
<dt id="posydon.grids.io.GridReader">
<em class="property">class </em><code class="sig-prename descclassname">posydon.grids.io.</code><code class="sig-name descname">GridReader</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">fmt</span><span class="o">=</span><span class="default_value">'posydon'</span></em>, <em class="sig-param"><span class="n">binary</span><span class="o">=</span><span class="default_value">True</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">verbose_maxlines</span><span class="o">=</span><span class="default_value">10</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#GridReader"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.GridReader" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Class for quick reading of MESA grid files.</p>
<p>Initialize object and immediately load the grid file structure.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path of the file or folder containing the MESA runs.</p></li>
<li><p><strong>fmt</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Format specifier. Linked to data-types, filename conventions, etc.</p></li>
<li><p><strong>binary</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – Whether the grid(s) are binary.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If True, it prints reports of performed actions.</p></li>
<li><p><strong>verbose_maxlines</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – In case of <cite>verbose=True</cite>, it sets the maximum number of lines of
metadata files to be printed. If None, all lines will be printed.
If 0, nothing will be printed.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.grids.io.GridReader.infer_history_columns">
<code class="sig-name descname">infer_history_columns</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">BH_cols</span></em>, <em class="sig-param"><span class="n">H1_cols</span></em>, <em class="sig-param"><span class="n">H2_cols</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#GridReader.infer_history_columns"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.GridReader.infer_history_columns" title="Permalink to this definition">¶</a></dt>
<dd><p>Infer the columns found in the grid’s history data files.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>BH_cols</strong> (<em>array-like</em>) – Which columns to consider from <cite>binary_history</cite>.</p></li>
<li><p><strong>H1_cols</strong> (<em>array-like</em>) – Which columns to consider from <cite>history1</cite>.</p></li>
<li><p><strong>H2_cols</strong> (<em>array-like</em>) – Which columns to consider from <cite>history1</cite>.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The names of the columns in history data. Columns in <cite>history1</cite> and
<cite>history2</cite> are prefixed with <cite>star1_</cite> and <cite>star2_</cite> respectively.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)">list</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.grids.io.GridReader.read_posydon_format">
<code class="sig-name descname">read_posydon_format</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#GridReader.read_posydon_format"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.GridReader.read_posydon_format" title="Permalink to this definition">¶</a></dt>
<dd><p>Read grid structure, expecting the POSYDON collaboration format.</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.grids.io.RunReader">
<em class="property">class </em><code class="sig-prename descclassname">posydon.grids.io.</code><code class="sig-name descname">RunReader</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">fmt</span><span class="o">=</span><span class="default_value">'posydon'</span></em>, <em class="sig-param"><span class="n">binary</span><span class="o">=</span><span class="default_value">True</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">verbose_maxlines</span><span class="o">=</span><span class="default_value">10</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#RunReader"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.RunReader" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Class for reading MESA output files of an individual run.</p>
<p>Initialize object and immediately read the data.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path of the file or folder containing the MESA run output.</p></li>
<li><p><strong>fmt</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Format specifier. Linked to data-types, filename conventions, etc.</p></li>
<li><p><strong>binary</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – Whether the run belongs to a binary grid.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If True, it prints reports of performed actions.</p></li>
<li><p><strong>verbose_maxlines</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – In case of <cite>verbose=True</cite>, it sets the maximum number of lines of
metadata files to be printed. If None, all lines will be printed.
If 0, nothing will be printed.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.grids.io.RunReader.read_posydon_format">
<code class="sig-name descname">read_posydon_format</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#RunReader.read_posydon_format"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.RunReader.read_posydon_format" title="Permalink to this definition">¶</a></dt>
<dd><p>Read run structure, expecting the POSYDON collaboration format.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.grids.io.RunReader.report">
<code class="sig-name descname">report</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#RunReader.report"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.RunReader.report" title="Permalink to this definition">¶</a></dt>
<dd><p>Report what data or metadata were found.</p>
</dd></dl>

</dd></dl>

<dl class="py function">
<dt id="posydon.grids.io.initial_values_from_dirname">
<code class="sig-prename descclassname">posydon.grids.io.</code><code class="sig-name descname">initial_values_from_dirname</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">mesa_dir</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#initial_values_from_dirname"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.initial_values_from_dirname" title="Permalink to this definition">¶</a></dt>
<dd><p>Use the name of the directory for inferring the main initial values.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.io.print_meta_contents">
<code class="sig-prename descclassname">posydon.grids.io.</code><code class="sig-name descname">print_meta_contents</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">max_lines</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">max_chars_per_line</span><span class="o">=</span><span class="default_value">80</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#print_meta_contents"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.print_meta_contents" title="Permalink to this definition">¶</a></dt>
<dd><p>Print parts of metadata files for inspection.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path of file containing the metadata.</p></li>
<li><p><strong>max_lines</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em> or </em><a class="reference external" href="https://docs.python.org/3/library/constants.html#None" title="(in Python v3.9)"><em>None</em></a>) – Maximum number of lines to print. If None (default), print all of them.</p></li>
<li><p><strong>max_chars_per_line</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em> or </em><em>&quot;warp&quot;</em>) – If integer, it is the maximum number of character to be printed
(e.g., useful when printing MESA output). If “warp”, no truncation.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.grids.io.read_initial_values">
<code class="sig-prename descclassname">posydon.grids.io.</code><code class="sig-name descname">read_initial_values</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">mesa_dir</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/grids/io.html#read_initial_values"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.grids.io.read_initial_values" title="Permalink to this definition">¶</a></dt>
<dd><p>Read grid point values given the MESA run directory.</p>
</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>